User Tools

Site Tools


difx:dependenciesubuntu

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
difx:dependenciesubuntu [2016/11/04 17:54]
lupinlin [14.04 LTS Trusty Tahr & 16.04 LTS]
difx:dependenciesubuntu [2019/10/17 23:42]
chrisphillips [14.04 LTS Trusty Tahr & 16.04 LTS]
Line 12: Line 12:
 ===== Natty &  Precise (12.04) ===== ===== Natty &  Precise (12.04) =====
  
-''​sudo apt-get install build-essential pkg-config bison flex libfftw3-dev libopenmpi-dev openmpi-bin automake gfortran libexpat1-dev subversion libtool''​+   sudo apt-get install build-essential pkg-config bison flex libfftw3-dev libopenmpi-dev openmpi-bin automake gfortran libexpat1-dev subversion libtool
  
 Optional Optional
  
-''​sudo apt-get install doxygen''​+   sudo apt-get install doxygen
  
 ===== 14.04 LTS Trusty Tahr & 16.04 LTS ===== ===== 14.04 LTS Trusty Tahr & 16.04 LTS =====
  
-''​sudo apt-get install build-essential subversion libopenmpi-dev libfftw3-dev libtool bison flex pkg-config automake autoconf libexpat1-dev gfortran openmpi-bin Xorg-dev rpcbind python''​+   sudo apt-get install build-essential subversion libopenmpi-dev libfftw3-dev libtool bison flex pkg-config automake autoconf libexpat1-dev gfortran openmpi-bin Xorg-dev rpcbind python
  
 Note: Note:
Line 26: Line 26:
 1. related to OpenMPI: libopenmpi-dev openmpi-bin 1. related to OpenMPI: libopenmpi-dev openmpi-bin
    ​Optional (for 16.04 LTS)    ​Optional (for 16.04 LTS)
-   ''​sudo apt-get install openmpi-common openssh-client openssh-server libopenmpi1.10''​+   sudo apt-get install openmpi-common openssh-client openssh-server libopenmpi1.10
 2. related to fftw: libfftw3-dev 2. related to fftw: libfftw3-dev
    ​Optional    ​Optional
-   ''​sudo apt-get install libfftw*''​+   sudo apt-get install libfftw*
 3. related to PGPLOT: gfortran Xorg-dev 3. related to PGPLOT: gfortran Xorg-dev
  
Line 39: Line 39:
  
 ''​sudo apt-get install doxygen''​ ''​sudo apt-get install doxygen''​
 +
 +
 +===== 19.04 Disco Dingo =====
 +
 +   sudo apt-get install subversion build-essential python autotools-dev autoconf libtool libfftw3-dev pkg-config libexpat1-dev openmpi-bin libgsl-dev bison flex-old
 +
 +//Note flex-old, not flex//
difx/dependenciesubuntu.txt · Last modified: 2019/10/17 23:42 by chrisphillips